// getblklist : retourne les blocks de la structure compile
//              contenue dans ordptr trie par sources d'activations
//
// entre : nant (%cpr implicite)
//
// sortie  blk : une liste contenant des matrices de chanes
//               de caractres
//         blk()  = ['indice' 'nevprt' 'nom de la fonction de simulation';
//                    ...]
function blk = getblklist()
  nbclk=size(%cpr.sim.ordptr,1);

  blk=list();
  for i=1:nbclk-1
    ind=%cpr.sim.ordptr(i):%cpr.sim.ordptr(i+1)-1;
    blk_str=[];
    for j=1:size(ind,2)
      blk_str=[blk_str;
           string(%cpr.sim.ordclk(ind(j),1)),...
             string(%cpr.sim.ordclk(ind(j),2)),...
              %cpr.sim.funs(%cpr.sim.ordclk(ind(j),1)) ];
    end
    blk(i)=blk_str;
  end
endfunction
