/* Modnumlib Scicos interfacing function
 * Copyright (C) 2009 Alan Layec
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
 
/* diva Scicos Frequency divider A
 * Type 2 simulation function - scilab-2.6&2.7&3.0
 * IRCOM GROUP - Author : A.Layec
 */

#include "machine.h"

/* REVISION HISTORY :
 * $Log$
 */

void diva(flag,nevprt,t,xd,x,nx,z,nz,tvec,ntvec,rpar,nrpar,
           ipar,nipar,inptr,insz,nin,outptr,outsz,nout)
int *flag,*nevprt,*nx,*nz,*ntvec,*nrpar;
int ipar[],*nipar,insz[],*nin,outsz[],*nout;
double x[],xd[],z[],tvec[],rpar[];
double *inptr[],*outptr[],*t;
{
    double *y;
    int nev;

    y=(double *)outptr[0];
    nev = *nevprt;

    if(*flag==6)
    {
     y[0]=1;
    }
    else if(*flag==1)
     {
      switch(nev)
      {
       case 1 :
       {
        z[0]++;
        if(z[0]>=ipar[0])
        {
         /*z[0]=0;*/
         y[0]=0;
        }
        else y[0]=1;
        break;
       }

       case 2 :
       {
        z[0]=0;
        y[0]=1;
        break;
       }

       case 3 :
       {
        z[0]=0;
        y[0]=1;
        break;
       }

      }
     }
}
