/* Modnumlib Scicos interfacing function
 * Copyright (C) 2009 Alan Layec
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
 

#include <math.h>
#include <stdio.h>

#include "machine.h"
#include "scicos_block.h"
void gainblk2(scicos_block *block,int flag)
{ /**/
  int i,j;
  int nu,nc;

  /**/
  nu=block->nrpar;
  nc=block->ipar[0];
  i=(int)block->z[0];
  j=(int)block->z[1];

  /**/
  fprintf(stderr,"gain : nu=%d,flag=%d,nc=%d,i=%d,j=%d,nz=%d,rpar=%f\n",nu,flag,block->ipar[0],i,j,block->nz,block->rpar[i]);

  /**/
  if(flag==1)
  {
   block->outptr[0][0]=block->rpar[i]*block->inptr[0][0];
  }
  else if(flag==2)
  {
   /**/
   block->z[1]++;
   if(block->z[1]>=nc)
   {
    block->z[1]=0;
    block->z[0]++;
    if(block->z[0]>=nu) block->z[0]=0;
   }
  }
}
