modnum_util = lib(MODNUMSCI+'/macros/build_util/');
u           = mopen(MODNUMSCI+"/loader.sce","w");
tt_path     = 'MODNUMSCI';
txt         = write_header(u,'generate_loader.sce',tt_path);
libs        = ['build_util';
               'find_file';
               'misc';
               'pll';
               'signal'];
rep_lib    = '/macros/'+libs;
lib_name   = 'modnum_'+libs;
txt        = write_inf_lib(u,rep_lib,lib_name,1,tt_path);
path       = '/../../src';
files      = basename(listfiles(MODNUMSCI+path+'/*.c'));
libname    = "libmodnum_lib";
fprintf(u,"%s\n",'if ~MSDOS then');
txt        = write_inf_rout_lib(u,libname,path,files,0,tt_path);
fprintf(u,"%s\n",'else');
fprintf(u,"%s\n",strsubst(txt,'.so','.dll'));
fprintf(u,"%s\n\n",'end');
path       = '/gateway';
libname    = "libintmodnum_lib";
scifunc    = ["autocorr";
              "awgn";
              "demodpsk";
              "demodqam";
              "despread";
              "downsmpl";
              "gengold";
              "genint";
              "genpn";
              "genrayl";
              "intsym";
              "modpsk";
              "modqam";
              "nfilter";
              "spread";
              "upsmpl"];
intname    = "intmodnum_lib";
fprintf(u,"%s\n",'if ~MSDOS then');
txt        = write_addinter_line(u,libname,path,intname,scifunc);
fprintf(u,"%s\n",'else');
fprintf(u,"%s\n",strsubst(txt,'.so','.dll'));
fprintf(u,"%s\n\n",'end');
tt_help    = 'myhelps=[MODNUMSCI+''/help/''+lang+''/htm'',...
               ""Modnum communication toolbox (Scilab)""];';
tt_demos   = ['add_demo(''Modnum (Scilab)'',...
               MODNUMSCI+''/demos/modnumsci.dem'');'];
txt        = write_inf_doc(u,tt_path,tt_help,tt_demos);
mclose(u);
txt        = mgetl('loader.sce');
mputl(txt,'.scilab');
